function progressBar(percent, barWidth) {
   if ($('#progressbar').size() < 1){return false;}

   $('#progressbar').html(''
      + '<div class="container">'
         + '<div class="bar"></div>'
         + '<div class="percent">'+percent+'%</div>'
      + '</div>'
   );
   if (barWidth != void 0) {
      $("#progressbar .container").css("width", barWidth);
      $("#progressbar .container .percent").css("width", barWidth);
   }

   var barPercent = percent*$("#progressbar .container").width()/ 100;
   $("#progressbar .container .bar").width(barPercent);
   return false;
}
